#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketnont'}</a></li>
	<li><a href="@{nonlelang.KontrakPlCtr.listSppbjPl(pl.lls_id)}">&{'kontrakpl.ekontrak'}</a></li>
	<li class="active">&{'kontrakpl.formsppbj'}</li>
</ol>
<div class="content">

	#{alert /}
	#{form @kontrak.SppbjPlCtr.simpanSppbjPl(pl.lls_id), name:'formSppbj', enctype:"multipart/form-data", method:'POST'}
	#{if sppbj?.sppbj_id} <input type=hidden name="sppbj.sppbj_id" value="${sppbj.sppbj_id}"/>#{/if}
	#{if pemenang==null}
	<div class="bs-callout bs-callout-danger">&{'kontrakpl.tenderpemenang'}</div>
	#{/if}
	<div class="alert alert-danger" role="alert" id="belum-pilih" style="display: none;">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		&nbsp;&{'kontrakpl.blmmemilih'}.
	</div>

	<div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
	<table class="table border tables1">
		<tr class="prop">
			<td width="250px" valign="top" class="name">Kode Non Tender</td>
			<td valign="top">
				${pl.paket.pkt_id}
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">Nama Non Tender</td>
			<td valign="top">
				${pl.paket.pkt_nama}
			</td>
		</tr>
		#{if !pl.isItemized()}
		<tr class="prop">
			<td  valign="top" class="rup_anggaran">Rencana Umum Pengadaan</td>
			<td>
				<table class="table border table-bordered">
					<thead>
					<tr>
						<th width="100">&{'kontrakpl.koderup'}</th>
						<th>&{'kontrakpl.np'}</th>
						<th width="150">&{'kontrakpl.sumberdana'}</th>
						<th width="50">&{'kontrakpl.detail'}</th>
					</tr>
					</thead>
					<tbody>
					#{list items:rupList, as:'rup'}
					<tr>
						<td>${rup.id}</td>
						<td>${rup.nama}</td>
						<td>${rup.sumberDanaString}</td>
						<td><a href="javascript:void(0);" onclick="detailAnggaran(${rup.id})"
							   title="Detail Anggaran"><i class="fa fa-list"></i></a></td>
					</tr>
					<tr style="display: none" id="da_${rup.id}">
						<td colspan="4">
							<table id="tblSumberAnggaran" class="table table-sm">
								<tr>
									<th width="100">&{'kontrakpl.tahun'}</th>
									<th width="180">&{'kontrakpl.sumberdana'}</th>
									<th>&{'kontrakpl.kdanggaran'}</th>
									<th width="150">&{'kontrakpl.nilai'}</th>
								</tr>
								#{list items:rup.getAnggaranPlList(pl.pkt_id, ppk_id), as:'anggaran'}
								<tr>
									<td>${anggaran?.ang_tahun}</td>
									<td>${anggaran?.sbd_id.label}</td>
									<td>${anggaran?.ang_koderekening}</td>
									<td>${anggaran.ang_nilai?.rupiah()}</td>
								</tr>
								#{/list}
							</table>
						</td>
						#{/list}
					</tbody>
				</table>
				<input class="#{validate 'sppbj.rup_anggaran'/}" type="hidden">
				<div class="invalid-feedback">#{error 'sppbj.rup_anggaran' /}</div>
			</td>
		</tr>
		#{/if}

		#{if sppbj?.sppbj_id != null }
		<tr class="prop">
			<td valign="top" class="name">Harga Penawaran</td>
			<td valign="top">
				${sppbj?.dkh?.total?.rupiah()}
				<a href="@{kontrak.SppbjPlCtr.sppbjHpsPl(sppbj.sppbj_id)}" class="badge  badge-secondary">Lihat Rincian</a>
			</td>
		</tr>
		#{/if}

	</table>

	<div class="bs-callout bs-callout-info"><strong>Form Surat Penunjukan Penyedia Barang/Jasa (SPPBJ)</strong></div>
	<table class="table border tables1">
		<tr class="prop">
			<td width="250px" valign="top" class="name">No. SPPBJ <span class="error">*</span></td>
			<td>
				<input type="text" class="form-control  #{validate 'sppbj.sppbj_no'/}" id="noSppbj" name="sppbj.sppbj_no"
					   value="${sppbj?.sppbj_no}"/>
				<div class="invalid-feedback">#{error 'sppbj.sppbj_no' /}</div>
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">Lampiran SPPBJ<span class="error">*</span></td>
			<td valign="top">
				<input type="text" class="form-control " id="lampSppbj" name="sppbj.sppbj_lamp" value="${sppbj?.sppbj_lamp}"/>
				<span class="form-text"><em>Contoh pengisian: 1 berkas. <br />Isi dengan tanda (-) jika tidak ada</em></span>
			</td>
		</tr>

		<tr class="prop">
			<td valign="top">Tanggal SPPBJ <span class="error">*</span></td>
			<td valign="top">
				<div class="input-group date width-normal datepicker">
					<input name="sppbj.sppbj_tgl_kirim" value="${sppbj?.sppbj_tgl_kirim?.toDatepicker()}" type="text"
						   class="form-control datepicker #{validate 'sppbj.sppbj_tgl_kirim' /}"/>
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
					<div class="invalid-feedback">#{error 'sppbj.sppbj_tgl_kirim' /}</div>
				</div>
			</td>
		</tr>

		<tr>
			<td valign="top" class="name">Kota SPPBJ <span class="error">*</span></td>
			<td valign="top">
				<input type="text" class="form-control  #{validate 'sppbj.sppbj_kota' /}" id="kotaSppbj" name="sppbj.sppbj_kota"
					   value="${sppbj?.sppbj_kota}"/>
				<div class="invalid-feedback">#{error 'sppbj.sppbj_kota' /}</div>
			</td>
		</tr>

	</table>

	<div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
	<table class="table border tables1">
		<tr class="prop">
			<td width="250px" valign="top" class="name">Nama PPK</td>
			<td valign="top">
				${pegawai?.peg_nama}
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">NIP PPK</td>
			<td valign="top">
				${pegawai?.peg_nip}
			</td>
		</tr>

		<tr class="prop">
			<td class="name">Jabatan PPK <span class="error">*</span></td>
			<td>
				<input type="text" class="form-control  #{validate 'sppbj.jabatan_ppk_sppbj'/}" name="sppbj.jabatan_ppk_sppbj"
					   value="${sppbj?.jabatan_ppk_sppbj}"/>
				<div class="invalid-feedback">#{error 'sppbj.jabatan_ppk_sppbj' /}</div>
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">Nama Satuan Kerja</td>
			<td valign="top">
				${pl?.paket?.getNamaSatker()}
			</td>
		</tr>

		<tr>
			<td class="name">Alamat Satuan Kerja <span class="error">*</span></td>
			*{<td>${sppbj?.alamat_satker}</td>}*
			<td>
				<input type="text" class="form-control  #{validate 'sppbj.alamat_satker'/}" name="sppbj.alamat_satker"
					   value="${sppbj?.alamat_satker}"/>
				<div class="invalid-feedback">#{error 'sppbj.alamat_satker' /}</div>
			</td>
		</tr>
	</table>

	<div class="bs-callout bs-callout-info"><strong>Informasi Pendukung</strong></div>
	<table class="table border tables1">
		<tr>
			<td width="250px" >Penyedia <span class="error">*</span></td>
			<td>
				<table class="table table-sm" style="width:100%">
					<tr>
						<th width="10" class="fcol titleTop"></th>
						<th width="150" class="titleTop">Pemenang</th>
						<th width="150" class="hrlast titleTop">NPWP</th>
						<th width="150" class="hrlast titleTop">Email</th>
						<th width="150" class="hrlast titleTop">Harga</th>
						<th width="150" class="hrlast titleTop">Undangan Kontrak</th>
					</tr>

					#{list items:peserta, as:'calon'}
					<tr>
						<td style="text-align:center">
							<input type="radio" name="rekananId" id="rekananId" class="cmbRknId" harga="${calon.hargaFinal().formatDouble()}"
								   value="${calon.peserta.rekanan.rkn_id}" hargaRupiah="${calon.hargaFinal().rupiah()}"
								   #{if (!pl?.isItemized() || sppbj != null) && (calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id || (sppbj?.rekanan?.rkn_id == null && calon.isLulus())
								   || (pl.pemilihan.lelangExpress && calon.peserta.is_pemenang_verif))}checked#{/if} readonly/>
						</td>
						<td>${calon.peserta.rekanan.rkn_nama} <br>
							#{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
							<span class="error">* &{'kontrakpl.bersppbj'}</span><br/>
							#{/if}
							*{#{if calon.peserta.is_pemenang_verif}
							<span class="error">* &{'kontrakpl.berverifikasi'}</span><br/>
							#{/if}}*
							#{if calon.isLulus()}
							<script type="text/javascript">
										var lulus_system = ${calon.peserta.rekanan.rkn_id};
									</script>

							<span class="error">* &{'kontrakpl.hasilevaluasi'}</span><br/>

							#{/if}
						</td>
						<td>${calon.peserta.rekanan.rkn_npwp}</td>
						<td>${calon.peserta.rekanan.rkn_email}</td>
						<td>${calon.hargaFinal().rupiah()}</td>
						<td>
							#{if calon.peserta.sudahTerimaUndanganKontrak() }
							<a href="@{admin.UtilityCtr.viewUdanganPdfPl(calon.peserta.lls_id, calon.peserta.rkn_id, models.common.JenisEmail.UNDANGAN_KONTRAK)}"
							   class="badge  badge-secondary">
								<i class="fa fa-download"></i>
								&{'kontrakpl.cetak'}
							</a>
							#{/if}
							#{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
							<a href="@{kontrak.SppbjPlCtr.undanganKontrakPl(sppbj?.sppbj_id, calon.peserta.psr_id)}"
							   class="badge  badge-secondary" value="form-undang-kontrak">
								<i class="fa fa-envelope"></i>
								#{if calon.peserta.sudahTerimaUndanganKontrak() }
								&{'kontrakpl.kirimulang'}
								#{/if}
								#{else}
								&{'kontrakpl.kirim'}
								#{/else}
							</a>
							#{/if}
						</td>
					</tr>
					#{/list}
					<tr style="#{if sppbj == null || sppbj?.catatan_ppk == null || sppbj?.catatan_ppk == ""}display:none#{/if}" id="baris_catatan">
					<td colspan="5" class="">
						<label>Alasan mengundurkan diri<span class="error"> (Minimal 10 karakter)</span></label>
						<textarea class="form-control #{validate 'sppbj.catatan_ppk'/}" name="sppbj.catatan_ppk" id="catatan_ppk"
								  rows="5" disabled>${sppbj?.catatan_ppk}</textarea>
						<div class="invalid-feedback">#{error 'sppbj.catatan_ppk' /}</div>
						<span class="form-text" id="errMsg" style="display: none;">
								Anda wajib mengisi alasan. Alasan mengundurkan diri minimal 10 karakter
							</span>
					</td>
					</tr>
				</table>
				#{if peserta.size() > 1}
				#{if !pl?.isItemized()}
				<div class="bs-callout bs-callout-info" id="div-editPemenang">
					Jika pemenang mengundurkan diri,
					<a href="javascript:void(0)" onclick="editPemenang()" class="badge  badge-secondary">klik di sini</a>
					untuk memilih pemenang cadangan berikutnya
				</div>
				#{/if}
				#{else}
				<div class="bs-callout bs-callout-info" id="div-editPemenang">
					<a href="javascript:void(0)" onclick="editPemenang()" class="badge  badge-secondary">klik di sini</a>
					untuk memilih pemenang
				</div>
				#{/else}
				#{/if}
				<div class="#{validate 'sppbj.rkn_id'/}"></div>
				<div class="invalid-feedback">#{error 'sppbj.rkn_id' /}</div>
			</td>
		</tr>




		#{if !konsultan}
		<tr class="prop">
			<td valign="top" class="name">Nilai Jaminan Pelaksanaan (Rp)</td>
			<td>
				<input id="jaminanPelaksanaan" class="form-control #{validate 'sppbj.jaminan_pelaksanaan'/}" name="sppbj.jaminan_pelaksanaan"
					   value="${jaminanPelaksanaan?.formatDouble()}"/>
				<div class="invalid-feedback">#{error 'sppbj.jaminan_pelaksanaan' /}</div>
				<div class="bs-callout bs-callout-warning">
					&{'kontrakpl.koma'}.
				</div>
			</td>
		</tr>
		#{/if}



		<tr class="prop">
			<td valign="top" class="name">Tembusan</td>
			<td valign="top">
				<table class="table table-sm" id="tblTemb">
					#{list items:tembusan, as:'tmbusan'}

					#{set i : tmbusan_index - 1 /}
					<tr>


						<td><input type="text" name="nama[${i}]" id="nama" size="15" maxlength="40" value="${tmbusan}" class="form-control"></td>
						<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
					</tr>

					#{/list}
				</table>

				<button type="button" class="btn btn-secondary " id="tambahTemb"><i class="fa fa-plus-circle"></i>
					Tambah Tembusan
				</button>
			</td>
		</tr>
	</table>

	<div class="bs-callout bs-callout-info"><strong>Dokumen SPPBJ</strong></div>
	<table class="table border tables1">
		#{if sppbj!=null}
		<tr>
			<td width="250px"  valign="top" class="name">Dokumen Cetak SPPBJ</td>
			<td valign="top">
				<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
					<i class="fa fa-plus-circle"></i>
					<span>Upload</span>
					<input id="fileupload" type="file" name="file" />
				</div>
				<div id="progress" class="progress" style="display: none;">
					<div class="progress-bar progress-bar-success"></div>
				</div>
				<div id="alert-upload"></div>

				<table class="table table-sm table-striped"" id="files">
					<thead>
					<th>&{'kontrakpl.nfile'}</th>
					<th>&{'kontrakpl.tup'}</th>
					<th>&{'kontrakpl.aksi'}</th>
					</thead>
					<tbody>
					#{list items:sppbj?.attachment, as:'dok'}
					<tr>
						<td>#{download dok/}</td>
						<td>${dok?.blb_date_time?.formatDateTime()}</td>
						<td><a href="javascript:void(0)" title="Hapus File"  class="removeDok" versi="${dok.blb_versi}">
							<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
						</td>
					</tr>
					#{/list}
					</tbody>
				</table>
			</td>
			<div class="bs-callout bs-callout-warning">
				Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i> ${allowedExt}</i></strong>.
			</div>
		</tr>
		#{/if}
	</table>


	<table class="table border tables1">

		#{if pemenang!=null}
		<tr>
			<td colspan="2">
				<button type="submit" name="simpan" class="btn btn-success confirm"  title="Apakah anda yakin akan menyimpan data SPPBJ ini ?"><i class="fa fa-save"></i> Simpan</button>
				#{if sppbj?.sppbj_id && sppbjx?.harga_final > 0.0}
				<a href="@{kontrak.SppbjPlCtr.cetakDokSppbjPl(sppbj.sppbj_id)}" class="btn btn-primary"
				   target="_blank"><i class="fa fa-print"></i> Cetak</a>

				#{if sppbj?.sudah_kirim_pengumuman}
				<a href="javascript:void(0)" class="btn btn-primary" disabled><i
						class="fa fa-check-circle"></i> &{'kontrakpl.sudahkirim'}</a>
				#{/if}
				#{else}
				<a href="@{nonlelang.KontrakPlCtr.kirimPengumumanSppbj(sppbj.sppbj_id)}" class="btn btn-primary"><i
						class="fa fa-envelope"></i> &{'kontrakpl.kirimpengumuman'}</a>
				#{/else}
				#{/if}
				<a href="@{nonlelang.KontrakPlCtr.listSppbjPl(pl.lls_id)}" class="btn btn-default"> &{'kontrakpl.kembali'}</a>

			</td>
		</tr>
		#{/if}
		<div class="bs-callout bs-callout-warning">
			<span class="warning">*</span> Wajib diisi.
		</div>
	</table>
	#{if sppbj?.sppbj_id && sppbjx?.harga_final == 0.0}
	<div class="alert alert-warning" role="alert">
		&{'kontrakpl.cetaksppbj'}.
	</div>
	#{/if}

        <div class="alert alert-danger" role="alert" id="blacklisted">
            <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
            &{'kontrakpl.tidakdapat'}.</strong></h5>
            &{'kontrakpl.akses'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'kontrakpl.infolanjut'}.</p>
        </div>

        <div class="alert alert-danger" role="alert" id="confirmation">
            <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
            &{'kontrakpl.infospe'}.</strong></h5>
            &{'kontrakpl.infopasti'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'kontrakpl.infopasti2'}.
            <br/><br/>&{'kontrakpl.infopasti3'}?</p>
            <br/>
            <button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-default" id="no-confirm">&{'kontrakpl.tidak'}</button>
        </div>

        <div class="alert alert-warning" role="alert" id="load">
            <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
            &{'kontrakpl.tunggu'}.</strong></h5></p>
        </div>

	#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/numeral.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/4.1.0/autoNumeric.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
	var haveNote;
	var isNoteShowed;

	$(document).on('click', '.removeBtn', function () {
		$(this).parent().parent().remove()
	});

	$(document).ready(function (e) {

	    haveNote = $("#catatan_ppk").html();

		#{if !konsultan}
        	jaminanPelaksanaan = new AutoNumeric('#jaminanPelaksanaan', { digitGroupSeparator: '.', decimalCharacter: ',' });
		#{/if}

		$("#load").hide();

		$('#blacklisted').hide();

		$('#confirmation').hide();

		$('#no-confirm').click(function () {
			$('#confirmation').hide();
			$('button[name="simpan"]').show();
			return false;
		});

		$('#yes-confirm').click(function () {
			$('#formSppbj').submit();
		});

        #{if sppbjx?.rekanan?.rkn_id!=null && !lelang?.isItemized()}
			if (${sppbjx?.rekanan?.rkn_id} != lulus_system){
				$("#baris_catatan").css("display", "table-row");
				isNoteShowed = true;
			}
        #{/if}

		$('input[type=radio][name=rekananId]').change(function () {
			#{if !pl?.isItemized()}
				if ($(this).val() == lulus_system && (haveNote === "null" || haveNote === "")) {
                    $("#catatan_ppk").attr("disabled",true);
					$("#baris_catatan").css("display", "none");
					isNoteShowed = false;
				}
				else {
					$("#baris_catatan").css("display", "table-row");
					isNoteShowed = true;
				}
			#{/if}
		});

		$('button[name="simpan"]').on('click', function () {
			//pengecekan blacklist
			var valid = true;
			var llsId = '${pl.lls_id}'
			var nevId = $('input[name="rekananId"]:checked').val();
			var blacklistUrl = #{jsRoute @kontrak.SppbjPlCtr.pengecekanBlacklist(':nevId', ':llsId') /};
			if (nevId == null) {
				valid = false;
				$("#belum-pilih").show();
				$("#rekananId").focus();
			}

			var note = $("#catatan_ppk").val();
			if(isNoteShowed && !note){
			    valid = false;
			    $("#catatan_ppk").focus();
			    $("#baris_catatan").addClass("has-error");
			    $("#errMsg").show();
			}

			if (valid == true) {
                $("#baris_catatan").removeClass("has-error");
                $("#errMsg").hide();

				$('button[name="simpan"]').hide();
				$('#load').show();
				$.ajax({
					type: 'POST',
					async: false,
					url: blacklistUrl.url({nevId: nevId, llsId: llsId}),
					success: function (data) {
						if (data == 2) {
							valid = false;
							$('#confirmation').show();
						} else if (data == 1) {
							valid = false;
							$('#blacklisted').show();
						} else {
							$('button[name="simpan"]').show();
						}
						$('#load').hide();
					},

					error: function () {
						$('#load').hide();
						$('button[name="simpan"]').show();
						alert('error');
					}
				})
			}


			$('input[type=radio][name=rekananId]').removeAttr("disabled");
				return valid;
		});
	});

	$("#tambahTemb").click(function () {

		var ind = $('#tblTemb tr').length - 1
		var addTemb = '<tr><td><input type="text" class="form-control" name="nama[' + ind + ']" ></td>' +
				'<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
		$("#tblTemb").append(addTemb)
	});

	function editPemenang() {
		$('input[type=radio][name=rekananId]').attr("disabled", false);
		$("#catatan_ppk").attr("disabled",false);
		$('input').attr("disabled", false);
		$("#div-editPemenang").hide();
	}

	function editHargaFinal() {
		$("#catatan_hargakontrak").attr("disabled",false);
		$('input').attr("disabled", false);
		$("#div-editHargaFinal").hide();
	}

	numeral.language("id", {
		delimiters: {thousands: ".", decimal: ","},
		abbreviations: {thousand: "r", million: "j", billion: "m", trillion: "t"},
		ordinal: function () {
			return "."
		},
		currency: {symbol: "Rp"}
	});

	numeral.language("id");

	function formatCurrency(num) {
		num = num.toString().replace(/\$|\,/g, '');
		if (isNaN(num)) {
			num = 0;
		}
		return numeral(num).format("0,0.00");
	}

	function detailAnggaran(rup_id) {
		$("#da_" + rup_id).toggle(500);
	}
	#{if sppbj?.sppbj_id != null }
	$(document).on('click', '#fileupload', function(){
        var url = '@{kontrak.SppbjPlCtr.uploadSppbj(sppbj?.sppbj_id)}';
        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
            done: function (e, data) {
                $('#progress').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
                                '<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
                                '<i class="fa fa-trash-o" ></i></a></td>';
                        $('<tr/>').html(content).appendTo('#files');
                    });
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
                } else {
					$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger fade in').html(msg).show()
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi')
        var parent = $(this).parent()
        var source  = #{jsRoute @kontrak.SppbjPlCtr.hapusSppbj(sppbj?.sppbj_id) /};
        BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
					$.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
							parent.parent().remove()
						},
						error : function(){
							$('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
    });
    #{/if}

    $(document).on('change', '#lampSppbj', function(){
        var nilai = $("#lampSppbj").val();
        if(nilai=="" || nilai==null) $("#lampSppbj").val("-");
    });

    $(document).on('change', '#jaminanPelaksanaan', function(){
        var nilai = $("#jaminanPelaksanaan").val();
        if(nilai=="" || nilai==null) $("#jaminanPelaksanaan").val("0.00");
    });
</script>
#{/set}